package com.zcloud.service.check;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单管理
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
public interface ListManagerService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**禁用
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void remove(PageData pd)throws Exception;
	public void deleted(PageData pd)throws Exception;
	/**启用
	 * @param pd
	 * @throws Exception
	 */
	public void enable(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	public List<PageData> stoplist(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/** APP用——风险管控排查与隐患排查列表
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> queryHiddenDangerList(PageData pd)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> appListAll(PageData pd)throws Exception;

	/**查询部门清单
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listListByDep(PageData pd)throws Exception;

	/**查询人员清单
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listListByUser(PageData pd)throws Exception;

	/**查询人员清单
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> getListByCorplistPage(Page page)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> checklistPage(Page page)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> riskStandardCheckList(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listRecordAll(Page page)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**清单全部风险
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllRisk(PageData pd)throws Exception;

	/**部门清单列表
	 * 	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> recordList(Page page)throws Exception;

	/**部门清单列表
	 * 	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> riskStandardRecordList(Page page)throws Exception;

	/**待检查清单数量
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listExaminedNum(PageData pd)throws Exception;
	/**待检查清单数量
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listExaminedNumJjr(PageData pd)throws Exception;
	/**人员负责清单数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countListByUser(PageData pd)throws Exception;

	/**查询所有可发送短信的企业的清单
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByCorpMsm(PageData pd)throws Exception;


	/**查询所有清单清单
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getAllList(PageData pd)throws Exception;

	/**首页获取折线图
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> goIndexCount(PageData pd)throws Exception;
	/**
	 * 查询公司清单总数
	 * @param pd
	 * @return
	 */
	public int getListCount(PageData pd)throws Exception;

	/**
	 * 查询公司检查过清单的总数
	 * @param pd
	 * @return
	 */
	public int getWorkedListCount(PageData pd)throws Exception;

	/**
	 * 根据分类统计清单
	 * @param pd
	 * @return
	 */
	public List<PageData> countListByType(PageData pd)throws Exception;

	/**上期超期未检查的清单
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> overTimeRecord(PageData pd)throws Exception;

	/**上期超期未检查的清单（每日使用）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> overTimeRecordDay(PageData pd)throws Exception;

	/**节假日超期未检查的清单
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> overTimeRecordJjr(PageData pd)throws Exception;

	/**查询今日待处理清单数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getListToday(PageData pd)throws Exception;

	public List<PageData> listAllForDiagnosis(PageData pd)throws Exception;

	public List<PageData> thisMonthListmanager(PageData pd)throws Exception;

	public List<PageData> listAllPlan(PageData pd)throws Exception;
	public List<PageData> listAllForPlan(PageData pd)throws Exception;

	public List<PageData> mergeListAllForPlan(PageData pd)throws Exception;

	public List<PageData> getCountNumBi(PageData pd)throws Exception;

    void saveBaoBaoType(PageData pd) throws Exception;

	/**
	 * 列表(全部)
	 * 源自 listAll(PageData pd)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllRiskStandard(PageData pd)throws Exception;

	/**部门清单列表
	 * 	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> recordListAll(Page page)throws Exception;

	/** 日常检查列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getDailyInspectionList(PageData pd)throws Exception;
}

